/**
 * 收集点-报警信息
 */
import { Col, Row } from 'antd';
import AlarmRecord from "./AlarmRecord";
import MonthTrend from "./MonthTrend";
import Summary from "./Summary";
import "../AlarmInfo/index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var AlarmInfo = function AlarmInfo(props) {
  var id = props.id;
  return /*#__PURE__*/_jsx("div", {
    className: "cp-alarm",
    children: /*#__PURE__*/_jsxs(Row, {
      gutter: [10, 10],
      children: [/*#__PURE__*/_jsx(Col, {
        xxl: 10,
        xl: 11,
        lg: 12,
        md: 24,
        children: /*#__PURE__*/_jsx(Summary, {
          id: id
        })
      }), /*#__PURE__*/_jsx(Col, {
        xxl: 14,
        xl: 13,
        lg: 12,
        md: 24,
        children: /*#__PURE__*/_jsx(MonthTrend, {
          id: id
        })
      }), /*#__PURE__*/_jsx(Col, {
        span: 24,
        children: /*#__PURE__*/_jsx(AlarmRecord, {
          id: id
        })
      })]
    })
  });
};
export default AlarmInfo;